STRUCT HASH<U(3)

NAME
boost::hash<unsigned_long_long>

SYNOPSIS

// In header: <boost/functional/hash.hpp>
struct hash<unsigned long long> {
  std::size_t operator()(unsigned long long) const;
};

DESCRIPTION

std::size_t operator()(unsigned long long val) const;

Returns:
    Unspecified in TR1, except that equal arguments yield the same result.

    hash_value(val) in Boost.

Throws:
    Doesn't throw